# Guilds

Adds basic guild features to the game. Has an API to allow mod authors to integrate guild features into their mods. For more information on how to use the API, please check out [the GitHub page](https://github.com/blaxxun-boop/Guilds).

The mod is very basic for now. More features will be added soon. Stay tuned!

Can be installed on a server, to enforce the configuration.

### Included features

***Guild interface***

Guilds are managed within a custom interface. Press the guild interface shortcut (default: O) to get started. You can change the hotkey in your personal configuration file.

***Guild chat***

You can use /g [text] to write messages that only your guild can read. Or you can use /g without any text to toggle the guild chat mode. All your messages will then be send to your guild, until the guild chat mode is toggled off using /g again.

***Colored guild names***

Each guild can pick a color. The guild name you can see in the world will have that color. You can override that in your personal configuration file.

***Map location***

You can see your guild members on the map at all times, even if they do not share their location publicly. They also have their map icon colored in the guild color.

***Friendly fire***

Friendly fire is disabled for guild members. So, even if you have PvP enabled, you cannot hit each other, while you are in the same guild.

***Guild ping***

You can hold a modifier key (default: Left Shift) pressed, while you are pinging the map, to make the map ping visible to guild members only.

***Guild achievements***

There are guild achievements that can be completed by the guilds. Completing guild achievements increases the level of the guild.